GET /drug/event.json
Summary: Drug Adverse Event Reports
Operation ID: getDrugEvents
Auth: api_key
Operation ID: getDrugEvents
Auth: api_key
Description
Returns adverse event reports for drugs from the FDA Adverse Event Reporting System (FAERS). Data follows the ICH E2b/M2 version 2.1 standard.
Parameters (6)
api_key
(string, query, optional)
Optional API key for higher rate limits (120,000/day vs 1,000/day without key). Request at https://open.fda.gov/apis/authentication/
count
(string, query, optional)
Field to count unique values for (returns aggregation instead of individual records). Use with .exact suffix for exact matches.
limit
(integer, query, optional, default: 1)
Maximum number of results to return (1-1000)
Constraints: {'minimum': 1, 'maximum': 1000}
search
(string, query, optional)
Elasticsearch query string. Use field:value format with +AND+, +OR+ for boolean logic. Replace spaces with +.
skip
(integer, query, optional, default: 0)
Number of results to skip for pagination
Constraints: {'minimum': 0}
sort
(string, query, optional)
Field to sort results by. Use :desc or :asc suffix.
Examples (5)
| Title | Type | URL | Action |
|---|---|---|---|
| Search drug adverse events | openapi-spec |
https://api.fda.gov/drug/event.json?search=patient.drug.medicinalproduct:aspirin |
|
| FDA adverse events by drug name (aspirin) | doc_extracted |
https://api.fda.gov/drug/event.json?search=patient.drug.medicinalproduct:aspirin |
|
| FDA adverse events search by drug name (MedxR SDK) | doc_extracted |
https://api.fda.gov/drug/event.json?search=aspirin |
|
| Get drug adverse events | probe-gate |
https://api.fda.gov/drug/event.json?limit=1&skip=0 |
|
| Drug Adverse Event Reports | probe-gate |
https://api.fda.gov/drug/event.json |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:22:47.879669 | 200 | 2401ms | |
| 2026-03-23 10:11:53.233551 | 200 | 1148ms | |
| 2026-03-23 10:09:36.893862 | 200 | 1308ms | |
| 2026-03-23 09:48:18.186136 | 200 | 2398ms | |
| 2026-03-23 09:41:09.358117 | 200 | 1092ms | |
| 2026-03-21T23:23:47.008289 | 200 | 2755ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 09:41:09.358117 | 26c2cc3c4c1e |
0b70bd47eef6 |
| 2026-03-23 09:48:18.186136 | 0b70bd47eef6 |
26c2cc3c4c1e |
| 2026-03-23 10:09:36.893862 | 26c2cc3c4c1e |
8d2867dcec33 |
| 2026-03-23 10:11:53.233551 | 8d2867dcec33 |
0b70bd47eef6 |
| 2026-03-23 10:22:47.879669 | 0b70bd47eef6 |
26c2cc3c4c1e |